package geometrija;

import java.awt.Graphics;

public class Krog extends Lik {
	/**
	 * polmer
	 */
	public int r;
	
	public Krog(int x, int y, int r) {
		super(x, y);
		this.r = r;
	}
		
	public double obseg() {
		return 2.0 * Math.PI * this.r;
	}

	@Override
	public void narisi(Graphics g) {
		g.fillOval(x - r, y - r, 2 * r, 2 * r);
	}

}
