package geometrija;

import java.awt.Graphics;

public abstract class Lik {
	/**
	 * abcisa referenčne točke
	 */
	public int x;
	
	/**
	 * ordinata refrenčne točke
	 */
	public int y;

	public Lik(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}

	/**
	 * Premakni lik za (dx, dy)
	 * @param dx
	 * @param dy
	 */
	public void premakni(int dx, int dy) {
		this.x += dx;
		this.y += dy;
	}
	
	/**
	 * @return obseg lika
	 */
	public abstract double obseg();
	
	public abstract void narisi(Graphics g);
	
}
