package geometrija;

import java.awt.Graphics;

public class Pravokotnik extends Lik {
	public int sirina;
	public int visina;
	
	public Pravokotnik(int x, int y, int sirina, int visina) {
		super(x, y);
		this.sirina = sirina;
		this.visina = visina;
	}

	@Override
	public double obseg() {
		return 2 * (sirina + visina);
	}

	@Override
	public void narisi(Graphics g) {
		g.fillRect(x, y, sirina, visina);
	}

}
