import geometrija.Lik;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.Vector;

import javax.swing.JPanel;


@SuppressWarnings("serial")
public class Platno extends JPanel {
	private Vector<Lik> liki;

	public Platno() {
		super();
		this.liki = new Vector<Lik>();
		setBackground(Color.YELLOW);
	}

	public void dodajLik(Lik lik) {
		this.liki.add(lik);
	}
	
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(500, 500);
	}

	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		g.setColor(Color.BLUE);
		for (Lik lik : this.liki) {
			lik.narisi(g);
		}
	}	
}
